Summary:    Integration of CouchDB storage into desktop applications	
Name:       desktopcouch
Version:    1.0.8
Release:    %mkrel 1
License:    LGPLv3
Group:      Databases
URL:        https://launchpad.net/desktopcouch	
Source0:    http://launchpad.net/desktopcouch/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-root
BuildRequires: python python-setuptools
BuildRequires: python-distutils-extra
BuildRequires: intltool 
Requires:      couchdb-bin
Requires:      python-couchdb
Requires:      python-oauth
Requires:      python-twisted-core
BuildArch:     noarch

%description
Integration of CouchDB storage into desktop applications, for automatic 
replication and synchronization of data between computers.

%package tools
Requires:   pygtk2.0
Group:      Databases
Summary: Desktopcouch tools 
%description tools
This package contains graphical tools for desktopcouch, to pair two computers.

%prep
%setup -q

%build
python setup.py build

%install
rm -Rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

rm -Rf $RPM_BUILD_ROOT/%{_docdir}/
rm -Rf $RPM_BUILD_ROOT/%{_datadir}/apport/
%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/compulsory-auth.ini
%config(noreplace) %{_sysconfdir}/xdg/desktop-couch/default.ini
%{_datadir}/dbus-1/services/org.desktopcouch.CouchDB.service
%{py_puresitedir}/%{name}/
%{py_puresitedir}/*.egg-info
%{_prefix}/lib/%{name}/
%{_datadir}/%{name}/

%files tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop





%changelog

* Mon Mar 05 2012 misc <misc> 1.0.8-1.mga2
+ Revision: 218998
- upgrade to 1.0.8

* Tue Apr 19 2011 misc <misc> 1.0.7-1.mga1
+ Revision: 88375
- update to latest version, drop patch as this should be supported
  upstream ( Ubuntu natty ship python-couchdb 0.8 )
- imported package desktopcouch

